For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Product Metafields
              • POSTCreate Product Metafield
              • GETGet Product Metafield
              • PUTUpdate Product Metafield
              • DELDelete Product Metafield
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsMetafields

List Product Metafields

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/metafields
GET
/stores/:store_hash/v3/catalog/products/:product_id/metafields
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/metafields \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "data": [
3 {
4 "key": "Location",
5 "namespace": "Warehouse Locations",
6 "permission_set": "app_only",
7 "value": "4HG",
8 "date_created": "1973-01-20T21:34:57.903Z",
9 "date_modified": "1990-12-30T00:29:23.515Z",
10 "description": "Location in the warehouse",
11 "id": 6,
12 "resource_id": 111,
13 "resource_type": "product"
14 },
15 {
16 "key": "Sublocation",
17 "namespace": "Warehouse Locations",
18 "permission_set": "read",
19 "value": "4HG",
20 "date_created": "1973-01-20T21:34:57.903Z",
21 "date_modified": "1990-12-30T00:29:23.515Z",
22 "description": "Location in the warehouse",
23 "id": 7,
24 "resource_id": 111,
25 "resource_type": "product"
26 }
27 ],
28 "meta": {
29 "pagination": {
30 "total": 2,
31 "count": 2,
32 "per_page": 50,
33 "current_page": 1,
34 "total_pages": 1,
35 "links": {
36 "current": "?page=1&limit=50"
37 }
38 }
39 }
40}

Returns a list of Product Metafields. Optional parameters can be passed in.

Was this page helpful?
Previous

Delete Product Image

Next

Create Product Metafield

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional<=250Defaults to 50

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

namespacestringOptional

Filter based on a metafieldʼs namespaces.

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

resource_id:instringOptional

A comma-separated list of entity ID values that filter results to metafields that belong to one of the matching entities.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.